package com.docus.server.reportmanager.mapper;


import com.docus.server.reportmanager.entity.AfCollectTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wyb
 */
@Mapper
public interface CollectTaskMapper {
    /**
     * 根据采集任务信息，查询采集任务id
     *
     * @param task 采集任务信息
     * @return java.util.List<java.lang.Long>  采集任务id集合
     * @date 2024/1/3 16:47
     * @author YongBin Wen
     */
    List<AfCollectTask> getTasks(@Param("task") AfCollectTask task);

    /**
     * 根据任务id作废任务
     *
     * @param ids 任务id集合
     * @return int
     * @date 2024/1/3 17:07
     * @author YongBin Wen
     */
    int cancel(@Param("ids") List<Long> ids);

    int del(@Param("ids") List<Long> ids);

    String getCollectionState();

    void updateTaskForRecollect(@Param("taskIds") List<Long> taskIds, @Param("operator") String operator,@Param("state")  String state);

    int moveCancel(@Param("ids") List<Long> ids);
}
